commit:     07d3d45aef97be36ec63e06022f5c2a8b7518c37
Author:     Aisha Tammy <floss <AT> bsd <DOT> ac>
AuthorDate: Wed Jun 16 19:02:41 2021 +0000
Commit:     Guilherme Amadio <amadio <AT> gentoo <DOT> org>
CommitDate: Mon Jun 21 07:28:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=07d3d45a

sys-cluster/lmod: version bump to 8.5.3

Closes: https://github.com/gentoo/gentoo/pull/21274

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>
Signed-off-by: Guilherme Amadio <amadio <AT> gentoo.org>

 sys-cluster/lmod/Manifest          |   1 +
 sys-cluster/lmod/lmod-8.5.3.ebuild | 130 +++++++++++++++++++++++++++++++++++++
 2 files changed, 131 insertions(+)

diff --git a/sys-cluster/lmod/Manifest b/sys-cluster/lmod/Manifest
index 0eb72d5282f..a2db2427deb 100644
--- a/sys-cluster/lmod/Manifest
+++ b/sys-cluster/lmod/Manifest
@@ -1 +1,2 @@
 DIST lmod-8.4.20.tar.gz 19889342 BLAKE2B 
aef498ec8dd2b87aca02d66f394418aba4a81d1fec4684750e59d48d06bad16db7a24290920e40290ecba8a4bc65c7dbe5c23be28654db79433f41164fa4aaf6
 SHA512 
9749e34e7ad75531c87770b73fd20dab16c89c24e1a2d01e58f09f8510ffc8f896dfa7eab9dab26fe4d6d14ba04d331f98e08e92e0943aede9fe5131af038970
+DIST lmod-8.5.3.tar.gz 20987187 BLAKE2B 
3b0bf30524e7ba1f364650385afabaffce54db3fdcce7710a8d4a0fc3d4b2e852bed00fd8c155790ea3e2fb4aed33883af7edc3418b20cf7890f422962af9eb6
 SHA512 
41d7eda5aa2a1e9e91db3aa854f1810a5a2fadc9f5118561cec6a33a246870b25244aa3a5106f7a434278a76d4ceac4b8bbeb6d55ba82332615fc43a6e215629

diff --git a/sys-cluster/lmod/lmod-8.5.3.ebuild 
b/sys-cluster/lmod/lmod-8.5.3.ebuild
new file mode 100644
index 00000000000..b8c9fbcde3b
--- /dev/null
+++ b/sys-cluster/lmod/lmod-8.5.3.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..3} )
+inherit autotools lua-single
+
+DESCRIPTION="Environment Module System based on Lua"
+HOMEPAGE="https://lmod.readthedocs.io/en/latest https://github.com/TACC/Lmod";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/TACC/Lmod";
+else
+       SRC_URI="https://github.com/TACC/Lmod/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       S="${WORKDIR}"/Lmod-${PV}
+       KEYWORDS="~amd64 ~arm ~ppc ~sparc ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="+auto-swap +cache duplicate-paths test"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="${LUA_DEPS}
+       dev-lang/tcl
+       dev-lang/tk
+       $(lua_gen_cond_dep '
+               >=dev-lua/luafilesystem-1.8.0[${LUA_USEDEP}]
+               dev-lua/luajson[${LUA_USEDEP}]
+               dev-lua/luaposix[${LUA_USEDEP}]
+               dev-lua/lua-term[${LUA_USEDEP}]
+       ')
+       virtual/pkgconfig
+"
+DEPEND="${RDEPEND}"
+BDEPEND="${RDEPEND}
+       test? (
+               $(lua_gen_cond_dep '
+                       dev-util/hermes[${LUA_SINGLE_USEDEP}]
+               ')
+               app-shells/tcsh
+       )
+"
+
+PATCHES=( "${FILESDIR}"/${PN}-8.4.19-no-libsandbox.patch )
+
+pkg_pretend() {
+       elog "You can control the siteName and syshost settings by"
+       elog "using the variables LMOD_SITENAME and LMOD_SYSHOST, during"
+       elog "build time, which are both set to 'Gentoo' by default."
+       elog "There are a lot of options for this package, especially"
+       elog "for run time behaviour. Remember to use the EXTRA_ECONF variable."
+       elog "To see full list of options visit:"
+       elog "\t 
https://lmod.readthedocs.io/en/latest/090_configuring_lmod.html";
+}
+
+src_prepare() {
+       default
+       rm -r pkgs/{luafilesystem,term} || die
+       rm -r rt/{ck_mtree_syntax,colorize,end2end,help,ifur,settarg} || die
+       eautoreconf
+}
+
+src_configure() {
+       local LMOD_SITENAME="${LMOD_SITENAME:-Gentoo}"
+       local LMOD_SYSHOST="${LMOD_SYSHOST:-Gentoo}"
+
+       local LUAC="${LUA%/*}/luac${LUA#*lua}"
+
+       local myconf=(
+               --with-tcl
+               --with-fastTCLInterp
+               --with-colorize
+               --with-supportKsh
+               --without-useBuiltinPkgs
+               --with-siteControlPrefix
+               --with-siteName="${LMOD_SITENAME}"
+               --with-syshost="${LMOD_SYSHOST}"
+               --with-lua_include="$(lua_get_include_dir)"
+               --with-lua="${LUA}"
+               --with-luac="${LUAC}"
+               --with-module-root-path="${EPREFIX}/etc/modulefiles"
+               --with-spiderCacheDir="${EPREFIX}/etc/lmod_cache/spider_cache"
+               --with-updateSystemFn="${EPREFIX}/etc/lmod_cache/system.txt"
+               --prefix="${EPREFIX}/usr/share/Lmod"
+               --with-caseIndependentSorting
+               --without-hiddenItalic
+               --with-exportedModuleCmd
+               --with-useDotFiles
+               --without-redirect
+               --with-extendedDefault
+               $(use_with cache cachedLoads)
+               $(use_with duplicate-paths duplicatePaths)
+               $(use_with auto-swap autoSwap)
+       )
+       econf "${myconf[@]}"
+}
+
+src_compile() {
+       CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
+       default
+}
+
+src_test() {
+       local -x PATH="${EPREFIX}/opt/hermes/bin:${PATH}"
+       tm -vvv || die
+       testcleanup || die
+}
+
+src_install() {
+       default
+       newman "${FILESDIR}"/module.1-8.4.20 module.1
+       # not a real man page
+       rm -r "${ED}"/usr/share/Lmod/share/man || die
+       doenvd "${FILESDIR}"/99lmod
+       keepdir /etc/modulefiles
+       keepdir /etc/lmod_cache
+}
+
+pkg_postinst() {
+       if use cache ; then
+               elog "Lmod spider cache has been enabled."
+               elog "Remember to update the spider cache with"
+               elog "/usr/share/Lmod/libexec/update_lmod_system_cache_files \ "
+               elog "\t \$MODULEPATH"
+       fi
+}

Reply via email to